tests: simpler workaround for shells losing the exit status in exit trap
[platform/upstream/automake.git] / t / README
index 43f7b71..a862924 100644 (file)
--- a/t/README
+++ b/t/README
@@ -199,7 +199,7 @@ Writing test cases
   changes the test by adding a failing command after the last command,
   the test will spuriously fail because '$?' is nonzero at the end.
   Note that this is relevant even if the errexit shell flag is on, in
-  case the test contains commands like "grep ... Makefile.in && Exit 1"
+  case the test contains commands like "grep ... Makefile.in && exit 1"
   (and there are indeed a lot of such tests).
 
 * Use $ACLOCAL, $AUTOMAKE, $AUTOCONF, $AUTOUPDATE, $AUTOHEADER,
@@ -216,9 +216,6 @@ Writing test cases
   likely to fail, display its output even in the failure case, before
   exiting.
 
-* Use 'Exit' rather than 'exit' to abort for leave early from a test
-  case.
-
 * Use '$PATH_SEPARATOR', not hard-coded ':', as the separator of
   PATH's entries.
 
@@ -283,7 +280,7 @@ Writing test cases
   generated configure scripts do not ensure they will find a truly POSIX
   shell (even though they will prefer and use it *if* it's found).
 
-* Do not test an Automake error with "$AUTOMAKE && Exit 1", or in three
+* Do not test an Automake error with "$AUTOMAKE && exit 1", or in three
   years we'll discover that this test failed for some other bogus reason.
   This happened many times.  Better use something like